<?php
/**
 * The template for displaying comments
 *
 * This is the template that displays the area of the page that contains both the current comments
 * and the comment form.
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/
 *
 * @package Gust
 */

/*
 * If the current post is protected by a password and
 * the visitor has not yet entered the password we will
 * return early without loading the comments.
 */
if ( post_password_required() ) {
	return;
}
?>

<div id="comments" class="comments-area">
	<?php
	$gust = Gust::get_instance();
	if ( have_comments() ) {
		echo $gust->builder->render_json_file( $gust->path . 'templates/json/comments.json' );
	}
	the_comments_navigation();

	$gust->posts->comment_form();
	?>
</div>
