<?php
/**
 * The template for displaying all pages
 *
 * This is the template that displays all pages by default.
 * Please note that this is the WordPress construct of pages
 * and that other 'pages' on your WordPress site may use a
 * different template.
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/
 *
 * @package Gust
 */

get_header();

$gust = Gust::get_instance();
if ( $gust->admin->does_post_use_gust() ) {
	echo $gust->get_post_content();
} else {
	echo $gust->builder->render_json_file( $gust->path . 'templates/json/single.json' );
}

get_footer();
